$blue-color: #42a7fe;
$green-color: #00c899;
$primary: #FC556F;
$secondary: #FD9C84;
$gradient: linear-gradient(to right, $primary, $secondary);
@mixin size($width, $height: $width) {
  width: $width;
  height: $height;
}

@mixin maxWidth($value) {
  @media screen and (max-width: $value) {
    @content
  }
}

html {
  font-size: 62.5%;
}

body {
  font-family: "Poppins", sans-serif;
  font-size: 1.6rem;
  font-weight: normal;
  background-color: #f3f3f3;
  padding: 2rem;
}

a {
  text-decoration: none;
}

img {
  display: block;
  max-width: 100%;
}

@mixin flexbox($align: flex-start, $justify: flex-start, $flex-direction: row, $wrap: nowrap) {
  display: flex;
  align-items: $align;
  justify-content: $justify;
  flex-direction: $flex-direction;
  flex-wrap: $wrap;
}


.checkbox {
  &__input {
    display: none;
    &:checked + .checkbox__label {
      background-color: #7f6cfa;

      .checkbox__spin {
        transform: translateX(6rem);
      }
    }
  }

  &__label {
    display: inline-block;
    @include size(9rem, auto);
    width: 10rem;
    //background-color: #7f6cfa;
    background-color: #ccc;
    border-radius: 5rem;
    cursor: pointer;
    padding: 5px;
    transition: 0.25s linear;
  }

  &__spin {
    @include size(4rem);
    background-color: white;
    border-radius: 4rem;
    transition: 0.25s linear;
  }
}